Bug 1297447 - (CVE-2016-1569) CVE-2016-1569 firebird: authenticated remote crash by gbak invocation
CVE-2016-1569 firebird: authenticated remote crash by gbak invocation
Status: CLOSED UPSTREAM
Product: Security Response
Classification: Other
Component: vulnerability (Show other bugs)
unspecified
All Linux
medium Severity medium
: ---
: ---
Assigned To: Red Hat Product Security
impact=moderate,public=20160110,repor...
: Security
Depends On: 1297450 1297451
Blocks:
  Show dependency treegraph
 
Reported: 2016-01-11 09:40 EST by Andrej Nemec
Modified: 2016-11-02 07:55 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2016-11-02 07:55:47 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Andrej Nemec 2016-01-11 09:40:12 EST
Firebird 2.5.5 can be crashed remotely by authenticated clients by invoking 
gbak via the service manager using invalid command line switch.

This is harmless for the -classic flavour where the server process serves only 
that particular connection, but is at least a DoS for -super and -superclassic 
where the crashed process serves multiple connections.

Upstream issue:

http://tracker.firebirdsql.org/browse/CORE-5068

CVE request:

http://seclists.org/oss-sec/2016/q1/57
Comment 1 Andrej Nemec 2016-01-11 09:45:55 EST
Created firebird tracking bugs for this issue:

Affects: fedora-all [bug 1297450]
Affects: epel-all [bug 1297451]
Comment 2 Fedora Update System 2016-02-11 08:21:29 EST
firebird-2.5.5.26952.0-1.fc23 has been pushed to the Fedora 23 stable repository. If problems still persist, please make note of it in this bug report.
Comment 3 Fedora Update System 2016-02-25 01:30:20 EST
firebird-2.5.5.26952.0-2.el7 has been pushed to the Fedora EPEL 7 stable repository. If problems still persist, please make note of it in this bug report.
Comment 4 Fedora Update System 2016-02-26 01:57:28 EST
firebird-2.5.5.26952.0-2.el6 has been pushed to the Fedora EPEL 6 stable repository. If problems still persist, please make note of it in this bug report.
Comment 5 Philippe Makowski 2016-11-02 07:55:47 EDT
Patch from upstream applied

Note You need to log in before you can comment on or make changes to this bug.